This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 223058 - Notification pop-up displays below screen level on dual-head system
Notification pop-up displays below screen level on dual-head system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 13:46 EST by Andrew D. Stadler
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:25:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2007-01-17 13:46:36 EST
Description of problem:
Notifification pop-up is displayed incorrectly (mostly off-screen) on my
dual-head system.

Version-Release number of selected component (if applicable):
Notification Area 2.16.1

How reproducible:
Always - just have to right-click the updates icon and select "refresh"

Steps to Reproduce:
1.  Dual-head system with the non-equal monitor sizes & xinerama enabled
2.  A gnome panel on the bottom of the smaller screen
3.  The notification area installed in the gnome panel
4.  Start up system with one or more updates available
  
Actual results:
If the larger screen is somewhat larger than the smaller screen - mine is
1600x1200 vs. 1400x1050, the "updates are available" pop-up is displayed *below*
the notification panel, and you can see only the top edge of it.

My guess is that the pop-up is being positioned relative to a bounding box that
encompassases both screens, but doesn't take into account the fact that there is
non-displayed area within that bounding box.  Because the screens are
top-edge-aligned, and the main screen is smaller, then the dead area is below
the main screen.

Presumably, if the main screen was even smaller (say, 1280x1024) the pop-up
might even be completely offscreen?


Expected results:
The pop-up should always display visibly.

One simple solution might be to aim the pop-up towards the center?  This would
work for most dissimilar screen setups, and would only be confused if you placed
a gnome panel along the boundary edge between two xinerama screens (which is not
really a normal config), and even then would fail more softly, by sometimes
aiming towards the wrong screen, but still visible. 

Obviously the better solution is to be xinerama-compatible, and to position the
bubble relative to the physical screen on which the pop-up is appearing, not to
the master bounding box.

Additional info:
I wasn't sure if notification-daemon was the correct component, and pls. feel
free to reassign if it's not.
Comment 1 Bug Zapper 2008-04-04 01:38:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Andrew D. Stadler 2008-04-04 10:35:17 EDT
I'm sorry, I'm no longer using Fedora (my new employer is a Ubuntu shop) so I won't be able to contribute 
to this one.
Comment 3 John Poelstra 2008-04-04 17:43:34 EDT
Thanks for your update.

David-should we keep open or close?
Comment 4 Bug Zapper 2008-05-06 13:25:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.